export declare class IframeStateManager {
    private static isOpen;
    private static button;
    private static icon;
    private static isButtonHidden;
    static get isWidgetOpen(): boolean;
    static initialize({ button, icon, isButtonHidden, }: {
        button?: HTMLElement;
        icon?: HTMLElement;
        isButtonHidden?: boolean;
    }): void;
    static toggleIframeVisibility(): void;
    static openWidget(): void;
    static closeWidget(): void;
    static showTriggerButton(): void;
    static hideTriggerButton(): void;
}
