import type { Config, CallbackAction, Action } from '@brainfish-ai/widgets-common';
export declare const updateActions: (configActions: (Action | CallbackAction)[] | undefined, overrideActions: (Action | CallbackAction)[]) => (CallbackAction | Action)[];
export declare const transformConfig: ({ config, apiKey, apiHost, }: {
    config: Config;
    apiKey: string;
    apiHost: string;
}) => {
    settings: import("@brainfish-ai/widgets-common").Settings;
    apiHost: string;
    widgetMode: import("@brainfish-ai/widgets-common").WidgetType | "Search" | "slide-over";
    apiKey: string;
    theme?: import("@brainfish-ai/widgets-common").Theme;
    version?: string;
    language?: string;
    widgetType: import("@brainfish-ai/widgets-common").WidgetType | "Search" | "slide-over";
    trackingToken?: string;
};
